<div>
    <mat-toolbar color="accent" fxLayout="row">
        <span fxFlex="nogrow">{{ ('NAV.BUCKETS' | translate) }}</span>
        <span fxFlex="auto" fxFlexFill></span>

        <div fxFlex="1 1 0">
            <button mat-icon-button class="mr-2"
                    (click)="onAddNewBucketClicked()">
                <mat-icon>add</mat-icon>
            </button>
        </div>
    </mat-toolbar>
    <div class="mt-4 mx-2">
        <form *ngIf="newBucketVisible" [formGroup]="bucketForm">
            <mat-form-field appearance="fill" class="mr-2">
            <input matInput autocomplete="off"
                formControlName="name"
                (keyup)="onFormKeyUp($event)"
                [class.error]="!isNameValid()"/>
            </mat-form-field>
            <button mat-raised-button [disabled]="!isNameValid()"
            (click)="onAddNewBucketSubmit()">
                {{ 'ADD' | translate }}
            </button>
        </form>
        <div fxLayout="column">
            <div class="border-b border-gray-400 mb-2"
            app-bucket-item
            *ngFor="let bucket of buckets"
            [bucket]="bucket"
            (onDelete)="deleteBucket($event)">
            </div>
        </div>
    </div>
</div>